about summary refs log tree commit homepage
path: root/bin/mongrel_rails
diff options
context:
space:
mode:
Diffstat (limited to 'bin/mongrel_rails')
-rw-r--r--bin/mongrel_rails2
1 files changed, 2 insertions, 0 deletions
diff --git a/bin/mongrel_rails b/bin/mongrel_rails
index a59a591..05205cb 100644
--- a/bin/mongrel_rails
+++ b/bin/mongrel_rails
@@ -84,6 +84,8 @@ module Mongrel
         if defaults[:daemon]
           if File.exist? defaults[:pid_file]
             log "!!! PID file #{defaults[:pid_file]} already exists.  Mongrel could be running already.  Check your #{defaults[:log_file]} for errors."
+            log "!!! Exiting with error.  You must stop mongrel and clear the .pid before I'll attempt a start."
+            exit 1
           end
 
           daemonize